package com.casic.dcms.ui;

import android.widget.LinearLayout;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.databinding.ActivityCaseCheckBinding;
import com.casic.dcms.ui.fragment.check.CaseCheckFragment;
import com.casic.dcms.ui.fragment.check.CaseCheckedFragment;
import com.casic.dcms.utils.Constant;

import java.util.ArrayList;
import java.util.List;

/**
 * @author : Pengxh
 * @time : 2021/4/16 9:24
 * @email : 290677893@qq.com
 */
public class CaseCheckActivity extends AndroidxBaseActivity<ActivityCaseCheckBinding> {

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("案卷核查");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new CaseCheckFragment());
        fragmentList.add(new CaseCheckedFragment());
        SubViewPagerAdapter adapter = new
                SubViewPagerAdapter(getSupportFragmentManager(), Constant.CASE_PAGE_TITLES, fragmentList);
        viewBinding.checkViewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.checkTabLayout.setupWithViewPager(viewBinding.checkViewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.checkTabLayout.getChildAt(0);
        linearLayout.setShowDividers(LinearLayout.SHOW_DIVIDER_MIDDLE);
        linearLayout.setDividerDrawable(ContextCompat.getDrawable(this, R.drawable.layout_divider_vertical));
    }

    @Override
    protected void initEvent() {
    }
}